be.fgov.ehealth.rn.commons.business.v1

## Class InformationSupplierType

- java.lang.Object
- - be.fgov.ehealth.rn.commons.business.v1.InformationSupplierType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-30T12:31:06+02:00",
                 comments="JAXB RI v2.3.7")
      public class InformationSupplierType
      extends Object
      implements Serializable

  Information block for supplier of a service

  Java class for InformationSupplierType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="InformationSupplierType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Ticket" type="{urn:be:fgov:ehealth:rn:commons:business:v1}TicketType" minOccurs="0"/>
               <element name="TimestampReceive" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
               <element name="TimestampReply" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
               <element name="SupplierIdentification" type="{urn:be:fgov:ehealth:rn:commons:business:v1}OrganizationIdentificationType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InformationSupplierType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrganizationIdentificationType` | `getSupplierIdentification()` Gets the value of the supplierIdentification property.
    `String` | `getTicket()` Gets the value of the ticket property.
    `org.joda.time.DateTime` | `getTimestampReceive()` Gets the value of the timestampReceive property.
    `org.joda.time.DateTime` | `getTimestampReply()` Gets the value of the timestampReply property.
    `void` | `setSupplierIdentification(OrganizationIdentificationType value)` Sets the value of the supplierIdentification property.
    `void` | `setTicket(String value)` Sets the value of the ticket property.
    `void` | `setTimestampReceive(org.joda.time.DateTime value)` Sets the value of the timestampReceive property.
    `void` | `setTimestampReply(org.joda.time.DateTime value)` Sets the value of the timestampReply property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InformationSupplierType

          public InformationSupplierType()

  - ### Method Detail

    - #### getTicket

          public String getTicket()

      Gets the value of the ticket property.
      Returns:
        possible object is `String`

    - #### setTicket

          public void setTicket(String value)

      Sets the value of the ticket property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTimestampReceive

          public org.joda.time.DateTime getTimestampReceive()

      Gets the value of the timestampReceive property.
      Returns:
        possible object is `String`

    - #### setTimestampReceive

          public void setTimestampReceive(org.joda.time.DateTime value)

      Sets the value of the timestampReceive property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTimestampReply

          public org.joda.time.DateTime getTimestampReply()

      Gets the value of the timestampReply property.
      Returns:
        possible object is `String`

    - #### setTimestampReply

          public void setTimestampReply(org.joda.time.DateTime value)

      Sets the value of the timestampReply property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSupplierIdentification

          public OrganizationIdentificationType getSupplierIdentification()

      Gets the value of the supplierIdentification property.
      Returns:
        possible object is `OrganizationIdentificationType`

    - #### setSupplierIdentification

          public void setSupplierIdentification(OrganizationIdentificationType value)

      Sets the value of the supplierIdentification property.
      Parameters:
        `value` - allowed object is `OrganizationIdentificationType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.